[users] Audacity vs. wxGTK 2.8

Niki Kovacs contact at kikinovak.net
Fri Sep 26 16:19:46 CEST 2008


Dag Wieers a écrit :
> 
> I tried before with audacity 1.3.5. I get:
> 
> import/ImportFLAC.cpp: In member function 'virtual void 
> MyFLACFile::metadata_callback(const FLAC__StreamMetada
> ta*)':
> import/ImportFLAC.cpp:185: error: 'FLAC__METADATA_TYPE_PICTURE' was not 
> declared in this scope
> make[1]: *** [import/ImportFLAC.o] Error 1
> make[1]: Leaving directory `/dar/build/audacity-src-1.3.5-beta/src'
> make: *** [audacity] Error 2
> 

I just took a peek at how Fedora 9 does it. According to 
audacity-nonfree.spec, it's using compat-wxGTK26-devel.

Are there any arguments against using this solution? At least, until 
someone manages to build Audacity hassle-free against wxGTK2.8?

Cheers,

Niki



More information about the users mailing list